System configuration for the OpenDev Collaboratory
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

92 lines
4.9 KiB

# Copyright 2014 OpenStack Foundation.
# Copyright 2014 Hewlett-Packard Development Company, L.P.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.
#
# load additional modules from modules.env
# modules.env should exist in the same folder as install_modules.sh
#
# - use export MODULE_FILE to specify an alternate config
# when calling install_modules.sh.
# This allows for testing environments that are configured with alternate
# module configuration.
# Source modules should use tags, explicit refs or remote branches because
# we do not update local branches in this script.
# Keep sorted
OPENSTACK_GIT_ROOT=https://opendev.org
SOURCE_MODULES["https://github.com/biemond/biemond-wildfly"]="v1.2.4"
SOURCE_MODULES["https://github.com/dalen/puppet-dnsquery"]="2.0.1"
# initfact is a dep of biemond-wildfly
SOURCE_MODULES["https://github.com/jethrocarr/puppet-initfact"]="1.0.1"
SOURCE_MODULES["https://github.com/maestrodev/puppet-wget"]="v1.6.0"
SOURCE_MODULES["https://github.com/n1tr0g/golja-gnupg"]="1.2.2"
SOURCE_MODULES["https://github.com/nanliu/puppet-staging"]="1.0.1"
SOURCE_MODULES["https://github.com/puppetlabs/puppetlabs-apache"]="1.11.1"
SOURCE_MODULES["https://github.com/puppetlabs/puppetlabs-apt"]="2.4.0"
SOURCE_MODULES["https://github.com/puppetlabs/puppetlabs-concat"]="1.2.5"
SOURCE_MODULES["https://github.com/puppetlabs/puppetlabs-firewall"]="1.1.3"
SOURCE_MODULES["https://github.com/puppetlabs/puppetlabs-inifile"]="1.1.3"
SOURCE_MODULES["https://github.com/puppetlabs/puppetlabs-java_ks"]="1.3.1"
SOURCE_MODULES["https://github.com/puppetlabs/puppetlabs-mysql"]="3.11.0"
SOURCE_MODULES["https://github.com/puppetlabs/puppetlabs-rabbitmq"]="5.2.3"
SOURCE_MODULES["https://github.com/puppetlabs/puppetlabs-stdlib"]="4.17.0"
SOURCE_MODULES["https://github.com/rafaelfelix/puppet-pear"]="1.0.3"
# OpenStack-Health uses the memcached module
SOURCE_MODULES["https://github.com/saz/puppet-memcached"]="v2.6.0"
SOURCE_MODULES["https://github.com/stankevich/puppet-python"]="1.9.5"
SOURCE_MODULES["https://github.com/theforeman/puppet-dns"]="4.1.0"
SOURCE_MODULES["https://github.com/voxpupuli/puppet-alternatives"]="0.3.0"
SOURCE_MODULES["https://github.com/voxpupuli/puppet-archive"]="v0.5.1"
SOURCE_MODULES["https://github.com/voxpupuli/puppet-git_resource"]="0.3.0"
SOURCE_MODULES["https://github.com/voxpupuli/puppet-nodejs"]="v2.3.0"
# Add modules that should be part of the openstack-infra integration test here
# Please keep sorted
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-bup"]="origin/master"
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-httpd"]="origin/master"
# Storyboard and translate use the jeepyb module
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-jeepyb"]="origin/master"
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-logrotate"]="origin/master"
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-mysql_backup"]="origin/master"
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-pip"]="origin/master"
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-project_config"]="origin/master"
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-simpleproxy"]="origin/master"
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-ssh"]="origin/master"
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-storyboard"]="origin/master"
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-tmpreaper"]="origin/master"
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-ulimit"]="origin/master"
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-user"]="origin/master"
# freenode #puppet 2012-09-25:
# 18:25 < jeblair> i would like to use some code that someone wrote,
# but it's important that i understand how the author wants me to use
# it...
# 18:25 < jeblair> in the case of the vcsrepo module, there is
# ambiguity, and so we are trying to determine what the author(s)
# intent is
# 18:30 < jamesturnbull> jeblair: since we - being PL - are the author
# - our intent was not to limit it's use and it should be Apache
# licensed
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-vcsrepo"]="origin/master"
INTEGRATION_MODULES["$OPENSTACK_GIT_ROOT/opendev/puppet-zanata"]="origin/master"
if [[ "$PUPPET_INTEGRATION_TEST" -ne "1" ]]; then
# If puppet integration tests are not being run, merge SOURCE and INTEGRATION modules
for MOD in ${!INTEGRATION_MODULES[*]}; do
SOURCE_MODULES[$MOD]=${INTEGRATION_MODULES[$MOD]}
done
fi